Skip to content
Start here

Update zone level schema validation settings

client.apiGateway.settings.schemaValidation.update(SchemaValidationUpdateParams { zone_id, validation_default_mitigation_action, validation_override_mitigation_action } params, RequestOptionsoptions?): Settings { validation_default_mitigation_action, validation_override_mitigation_action }
PUT/zones/{zone_id}/api_gateway/settings/schema_validation

Updates zone level schema validation settings on the zone

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
params: SchemaValidationUpdateParams { zone_id, validation_default_mitigation_action, validation_override_mitigation_action }
zone_id: string

Path param: Identifier.

maxLength32
validation_default_mitigation_action: "none" | "log" | "block"

Body param: The default mitigation action used when there is no mitigation action defined on the operation

Mitigation actions are as follows:

  • log - log request when request does not conform to schema
  • block - deny access to the site when request does not conform to schema

A special value of of none will skip running schema validation entirely for the request when there is no mitigation action defined on the operation

One of the following:
"none"
"log"
"block"
validation_override_mitigation_action?: "none" | "disable_override" | null

Body param: When set, this overrides both zone level and operation level mitigation actions.

  • none will skip running schema validation entirely for the request
  • null indicates that no override is in place

To clear any override, use the special value disable_override or null

One of the following:
"none"
"disable_override"
ReturnsExpand Collapse
Settings { validation_default_mitigation_action, validation_override_mitigation_action }
validation_default_mitigation_action?: "none" | "log" | "block"

The default mitigation action used when there is no mitigation action defined on the operation

Mitigation actions are as follows:

  • log - log request when request does not conform to schema
  • block - deny access to the site when request does not conform to schema

A special value of of none will skip running schema validation entirely for the request when there is no mitigation action defined on the operation

One of the following:
"none"
"log"
"block"
validation_override_mitigation_action?: "none" | null

When set, this overrides both zone level and operation level mitigation actions.

  • none will skip running schema validation entirely for the request
  • null indicates that no override is in place

Update zone level schema validation settings

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const settings = await client.apiGateway.settings.schemaValidation.update({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  validation_default_mitigation_action: 'block',
});

console.log(settings.validation_default_mitigation_action);
{
  "validation_default_mitigation_action": "block",
  "validation_override_mitigation_action": "none"
}
Returns Examples
{
  "validation_default_mitigation_action": "block",
  "validation_override_mitigation_action": "none"
}